### Enumeration

# Fwupd ReleaseFlags

#### Declaration

    flags Fwupd.ReleaseFlags

#### Description [src]

Flags used to represent release attributes.

#### Members

Name | Description
--- | ---
`FWUPD_RELEASE_FLAG_NONE` | No flags are set.
`FWUPD_RELEASE_FLAG_TRUSTED_PAYLOAD` | The payload binary is trusted.
`FWUPD_RELEASE_FLAG_TRUSTED_METADATA` | The payload metadata is trusted.
`FWUPD_RELEASE_FLAG_IS_UPGRADE` | The release is newer than the device version.
`FWUPD_RELEASE_FLAG_IS_DOWNGRADE` | The release is older than the device version.
`FWUPD_RELEASE_FLAG_BLOCKED_VERSION` | The installation of the release is blocked as below device version-lowest.
`FWUPD_RELEASE_FLAG_BLOCKED_APPROVAL` | The installation of the release is blocked as release not approved by an administrator.
`FWUPD_RELEASE_FLAG_IS_ALTERNATE_BRANCH` | The release is an alternate branch of firmware.
`FWUPD_RELEASE_FLAG_IS_COMMUNITY` | The release is supported by the community and not the hardware vendor.
`FWUPD_RELEASE_FLAG_TRUSTED_REPORT` | The payload has been tested by a report we trust.
`FWUPD_RELEASE_FLAG_UNKNOWN` | The release flag is unknown, typically caused by using mismatched client and daemon.